Doctave
=======

Doctave is an opinionated documentation site generator that converts your Markdown files
into a beautiful developer documentation site. This site you are looking at now is built with
Doctave!

It is not a generic static site generator - it is only meant for generating documentation sites from
Markdown. This allows the tool to be much simpler than other solutions, and requires little to no
configuration. You just start documenting.

Doctave is written in Rust and is distributed as a single self-contained binary. It has no
dependencies, and works on Mac, Linux, and Windows.

This open source tool is built and maintained by [Doctave.com](https://www.doctave.com).

## Features

Doctave comes with a number of documentation-specific features out of the box. No plugins needed.

- Mermaid.js diagrams
- Full-text search
- Local live-reloading server
- Responsive design
- GitHub flavored Markdown with [rich features](/features/markdown)
- [Minimal configuration](/configuration)
- Fast build, built in Rust


## Screenshots

You can customize the color scheme and logo to match your own style. Below are two examples: one
with Doctave's own color scheme, and another customized color scheme.

Light                               | Dark                                      |
------------------------------------|-------------------------------------------|
![Exmple 1](/assets/example-1.png)  | ![Example 2](/assets/example-1-dark.png)  |
![Exmple 2](/assets/example-2.png)  | ![Example 2](/assets/example-2-dark.png)  |

## Getting started

First head over to the [installation instructions](/installing). Once you have Doctave installed,
you can get familiar with the tool by going through the official [tutorial](/tutorial).
